/*
 *  Copyright 2004 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *
 *  @(#) DSP/BIOS Bridge 
 */
/*  ============================================================================
 *   File    Flush.h
 *
 *   Path    $(TESTSUITEROOT)\Behaviour\Include
 * 
 *   Desc:   Header file for Flush Functionality Test Case
 *
 *   ---------------------------------------------------------------------------
 *   Rev     1.0.0
 * 
 *   This computer program is copyright to Texas Instruments Incorporated.
 *   The program may not be used without the written permission
 *   of Texas Instruments Incorporated. or against the terms and conditions
 *   stipulated in the agreement under which this program has been
 *   supplied.
 *
 *   (c) Texas Instruments Incorporated 2003
 *
 *   ============================================================================
 *   Revision History
 *
 *   AUG 27, 2002    REF=ORG             Swamy MC
 *      Original Version.
 *   ============================================================================
 */


#include <dbapi.h>

/* Hardcoded sample parameters: */
#define DEFAULTBUFSIZE  1024        /* Default buffer size in bytes. */
#define DEFAULTDSPUNIT  0           /* Default unit number for the board. */

#define DEFAULTNBUFS    1           /* Default # of buffers. */
#define STRMCOPY_TASK_ID TEXT("strmcopy")
#define ARGSIZE         32
#define DSPWORDSIZE     2           /* 1 DSP word = 2 bytes. */

#define	DEFNAMESIZE     80
#define DEFAULTSEGMENT   0

#define SHORT short

#define DSPEXEC         "flush_nortdxidl.dof"

static CHAR			szLogNameFlush[DEFNAMESIZE];
static CHAR			*aArgvFlush[DEFNAMESIZE] = { DSPEXEC, "arg1"};
static BOOL			fLoadDspFlush = FALSE;
static CHAR			*aEnvpFlush[DEFNAMESIZE] = { "" };
static FILE			*pHandleFlush;
static BOOL			fLoadDsp = FALSE;

/* Stream copy task context data structure. */
typedef struct {
    DSP_HPROCESSOR      hProcessor;     /* Handle to processor. */
    struct DSP_UUID            hNodeID;        /* Handle to node ID GUID. */
    DSP_HNODE           hNode;          /* Handle to node. */
    DSP_HSTREAM         hOutStream;      /* Handle to node input stream. */
    DSP_HSTREAM         hInStream;     /* Handle to node output stream. */
    BYTE                **ppInBufs;     /* Input stream buffers. */
    BYTE                **ppOutBufs;    /* Output stream buffers. */
    struct DSP_NOTIFICATION    hNotification;  /* DSP notification object. */
} STRMCOPY_TASK; 


typedef struct {
	UINT	iBufferSize;
	UINT	iSegmentId;
	UINT	iMode;
	UINT	iNumTxfrs;
}NODEARGS;


/* Forward declarations: */
static DSP_STATUS ProcessArgs(int argc, char ** argv);

/* Initialization and cleanup routines. */
static DSP_STATUS InitializeProcessor(STRMCOPY_TASK *copyTask);
static DSP_STATUS InitializeNode(STRMCOPY_TASK *copyTask);
static DSP_STATUS InitializeStreams(STRMCOPY_TASK *copyTask);
static DSP_STATUS CleanupProcessor(STRMCOPY_TASK *copyTask);
static DSP_STATUS CleanupNode(STRMCOPY_TASK *copyTask);
static DSP_STATUS CleanupStreams(STRMCOPY_TASK *copyTask);
static DSP_STATUS RunTask(STRMCOPY_TASK *copyTask);

static const struct DSP_UUID IssueReclaimuuid = {
    0x7eeb2c7e, 0x785a, 0x11d4, 0xa6, 0x50, {
        0x0, 0xc0, 0x4f, 0xc, 0x4, 0xf3}
};

