/*
 *  Copyright 2004 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *
 *  @(#) DSP/BIOS Bridge 
 */
/*  ============================================================================
 *   File    Mtf.h
 *
 *   Path    $(TESTSUITEROOT)\Behaviour\Include
 * 
 *   Desc:   Header file for Multi Threaded Fault Test Case
 *
 *   ---------------------------------------------------------------------------
 *   Rev     1.0.0
 * 
 *   This computer program is copyright to Texas Instruments Incorporated.
 *   The program may not be used without the written permission
 *   of Texas Instruments Incorporated. or against the terms and conditions
 *   stipulated in the agreement under which this program has been
 *   supplied.
 *
 *   (c) Texas Instruments Incorporated 2003
 *
 *   ============================================================================
 *   Revision History
 *
 *   AUG 27, 2002    REF=ORG             Raghunandhan NagarajaRao
 *      Original Version.
 *   ============================================================================
 */


#include <dbapi.h>

#define DEFNAMESIZE    80
#define DEFAULTDSPUNIT  0
#define DEFAULTNBUFS	2
#define DEFAULTTIMEOUT  10000
#define DEFAULTALIGN    0
#define DEFAULTSEGMENT  0
#define ARGSIZE         32
#define WORDSIZE        2


typedef struct Mtf_TaskInfoBuf
{
    DSP_HPROCESSOR  hProcessor;     /* Handle to processor. */
    struct DSP_UUID        hNodeID;        /* Handle to node ID GUID. */
    DSP_HNODE       hNode;          /* Handle to node. */
	DSP_HSTREAM     hInStream;      /* Handle to node input stream. */
    DSP_HSTREAM     hOutStream;     /* Handle to node output stream. */
	INT				iCount;
    BYTE            *pInBufs[DEFAULTNBUFS];     /* Input stream buffers. */
    BYTE            *pOutBufs[DEFAULTNBUFS];    /* Output stream buffers. */

}Mtf_TaskInfoBuf ;

typedef struct Mtf_SemThrdArgs {
    HANDLE     hSemaphore;
    INT        InitialCount;
	INT        MaximumCount;
} Mtf_SemThrdArgs;


typedef struct Mtf_ThreadArgsBuf {
	CHAR				DSPEXECNAME[DEFNAMESIZE];
    INT					iThreadNum;
    INT					iRetVal;
	INT					iNoOfThreads;
	INT					iTaskIterations;
	INT					iBufSize;
	INT					iErrorType ;
	INT					iErrorPhase ;
	INT					iErrorIteration ;
	INT					iErrorPosition ;
	INT					iErrorCount ;	
	INT					iErrorThrdNum ;
	INT					idummyVariable;
	INT					iNumTxfrs ;
	Mtf_SemThrdArgs		Mtf_SemArgs;
	Mtf_TaskInfoBuf		Mtf_Task;
} Mtf_ThreadArgsBuf;


typedef struct 
{

	Mtf_ThreadArgsBuf ThrdArgs;
	CHAR			  ThreadName[DEFNAMESIZE];
	INT				  iThreadExitStatus;

}Mtf_ThreadInfoBuf;



