/*
 *  Copyright 2004 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *
 *  @(#) DSP/BIOS Bridge 
 */
/*  ============================================================================
 *   File    MulThrdBehvr.h
 *
 *   Path    $(TESTSUITEROOT)\Behaviour\Include
 * 
 *   Desc:   Header file for MultiThread Behaviour Test Case
 *
 *   ---------------------------------------------------------------------------
 *   Rev     1.0.0
 * 
 *   This computer program is copyright to Texas Instruments Incorporated.
 *   The program may not be used without the written permission
 *   of Texas Instruments Incorporated. or against the terms and conditions
 *   stipulated in the agreement under which this program has been
 *   supplied.
 *
 *   (c) Texas Instruments Incorporated 2003
 *
 *   ============================================================================
 *   Revision History
 *
 *   AUG 27, 2002    REF=ORG             Swamy MC
 *      Original Version.
 *   ============================================================================
 */


#include <dbapi.h>

#define NLOOPS          10
#define DEFAULTNBUFS    2
#define DEFAULTBUFSIZE  32
#define DEFAULTDSPUNIT  0
#define DEFAULTTIMEOUT  10000
#define DEFAULTALIGN    0
#define DEFAULTSEGMENT  0
#define ARGSIZE         32
#define LOOPS           8
#define WORDSIZE        2
#define	DEFNAMESIZE	80
#define	MAXNUMOFTHREADS 5

#define	 DSPEXEC        "wave_tihelen.dof55l"
#define MIN(a,b)	((a < b) ? a : b)

static CHAR			szLogNameThrdMsg[DEFNAMESIZE];
static CHAR			*aArgvThrdMsg[DEFNAMESIZE] = { DSPEXEC, "arg1"};
static BOOL			fLoadDspThrdMsg = FALSE;
static CHAR			*aEnvpThrdMsg[DEFNAMESIZE] = { "" };
static FILE			*pHandleThrdMsg;

static TCHAR       	tszEventMmuOrSysFault[DEFNAMESIZE];
static struct DSP_NOTIFICATION FaultNotification;



/* copy task context data structure. */
typedef struct {
    DSP_HPROCESSOR  hProcessor;     		/* Handle to processor. */
    struct DSP_UUID        hNodeID; 			/* Handle to node ID GUID. */
    DSP_HNODE       hNode;    			/* Handle to node. */
    HANDLE          hEvent;         		/* Event handle to wait for DSP Fault */
    DSP_HSTREAM     hInStream;      		/* Handle to node input stream. */
    DSP_HSTREAM     hOutStream;     		/* Handle to node output stream. */
    BYTE            *pInBufs[DEFAULTNBUFS];     /* Input stream buffers. */
    BYTE            *pOutBufs[DEFAULTNBUFS];    /* Output stream buffers. */
} COPY_TASK; 

typedef struct {
	INT		iErrorCount;
	INT		iErrorThrdNum;
	INT		iErrorType;
	INT		iErrorPhase;
	INT		iErrorIteration;
	INT		iErrorPosition;
	UINT        	uEventMask;
	UINT		uNotifyMask;
}FAULTARGS;

typedef struct {
	HANDLE		thandle;
	INT		index;
}NODEHANDLES;
	
typedef struct {
	INT		iTxBufferSize;
	INT		iRxdConstMultipler;
	INT		iTaskIterations;
	INT		iNoOfThreads;
	INT		iSegmentId;
	INT		iMode;
	INT		iNumTxfrs;
	INT		index;
	INT		iThreadNumber;
	SHORT		*pMsgTxBuf; 
	SHORT		*pMsgRxBuf; 
	FAULTARGS	faultArgs;
	COPY_TASK       copyTask;
	NODEHANDLES	HandleArgs[MAXNUMOFTHREADS];
}NODEARGS;



/* Forward declarations: */
/* Initialization and cleanup routines. */
static DSP_STATUS InitializeProcessor(COPY_TASK *copyTask);
static DSP_STATUS InitializeNode(NODEARGS *NodeArgs);
static DSP_STATUS CleanupNode(COPY_TASK *copyTask);
static DSP_STATUS CleanupStreams(COPY_TASK *copyTask);
static VOID RunTask(NODEARGS *NodeArgs);
static VOID FillBuffer(SHORT *pBuf, INT iSize, INT iStartCnt);

