/*
 *  Copyright 2004 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *
 *  @(#) DSP/BIOS Bridge 
 */
/*
 *  ============================================================================
 *   File    testosal.h
 *
 *   Path    $(TESTSUITEROOT)\OSAL\include
 * 
 *   Desc:
 *   ---------------------------------------------------------------------------
 *   Rev     1.0.0
 * 
 *   This computer program is copyright to Texas Instruments Incorporated.
 *   The program may not be used without the written permission
 *   of Texas Instruments Incorporated. or against the terms and conditions
 *   stipulated in the agreement under which this program has been
 *   supplied.
 *
 *   (c) Texas Instruments Incorporated 2003
 *
 *!   ============================================================================
 *!   Revision History
 *!
 *!   NOV xx, 2002    REF=ORG             Raghu
 *!      Original Version.
 *!   ============================================================================
 */

#include <os.h>
#include <dbtypeosal.h>
#include <threadcreate.h>
#include <testcsl.h>

extern void* OsSpecificMemAlloc(int memsize);

extern void  OsSpecificMemFreeArrOfPtrs(void *memfree[]);

extern void  OsSpecificMemFree(void *memfree);


extern INT OsSpecificThreadCreate(void (*TaskEntryPtFxn), void *ArgsForTaskEntryPtFxn, THANDLE ThreadHandle);

extern INT OsSpecificPriorityThreadCreate(void (*TaskEntryPtFxn), void *ArgsForTaskEntryPtFxn, THANDLE ThreadHandle);

extern int OsSpecificWaitForThread(THANDLE WaitForThisThreadToExit, int timeout);

extern int OsSpecificWaitForEvent(HANDLE WaitForThisEventToBesignalled, int timeout);

extern void OsSpecificThreadClose(HANDLE ThreadToBeClosed);

extern void OsSpecificEventClose(HANDLE ThreadToBeClosed);

extern void OsSpecificThreadResume(HANDLE ThreadToBeResumed);

extern int OsSpecificSetThreadPriority(THANDLE ThreadForWhichPiorityIstoBeSet, int priority);

extern int OsSpecificProcessCreate(char *ImageName, char *CmdLine, LPPROCESS_INFORMATION proc_info);

extern int OsSpecificWaitForProcessExit(PHANDLE hProcess, LPDWORD lpExitCode);

extern int OsSpecificWaitForThreadExit(THANDLE hThread, LPDWORD lpExitCode);

extern void OsSpecificTimerDifference(DWORD *dwEndTime, DWORD *dwStartTime, DWORD *dwElapsedTime);

extern void OsSpecificTimerStart(DWORD *dwStartTime);

extern void OsSpecificTimerStop(DWORD *dwEndTime);

extern void OsSpecificDelay(int iSecsToSleep);

extern int OsSpeicificQueryFrequency(DWORD *dwTicksPerSecond);

