/*
 *  Copyright 2004 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *
 *  @(#) DSP/BIOS Bridge 
 */
/*
 *  ============================================================================
 *   File    time.c
 *
 *   Path    $(TESTSUITEROOT)\OSAL
 * 
 *   Desc:
 *   ---------------------------------------------------------------------------
 *   Rev     1.0.0
 * 
 *   This computer program is copyright to Texas Instruments Incorporated.
 *   The program may not be used without the written permission
 *   of Texas Instruments Incorporated. or against the terms and conditions
 *   stipulated in the agreement under which this program has been
 *   supplied.
 *
 *   (c) Texas Instruments Incorporated 2003
 *
 *!   ============================================================================
 *!   Revision History
 *!
 *!   NOV xx, 2002    REF=ORG             Raghu
 *!      Original Version.
 *!   ============================================================================
 */

#include <os.h>
#include <pthread.h>
#include <testosal.h>

#define SUCCESS 1
#define	FAILURE 0

INT OsSpecificThreadCreate(void (*TaskEntryPtFxn), void *ArgsForTaskEntryPtFxn, THANDLE ThreadHandle)
{
#ifndef __KERNEL__
	INT status;
	status = pthread_create(ThreadHandle, NULL,   /* default security, stack size */
		TaskEntryPtFxn, /* function */
		ArgsForTaskEntryPtFxn); /* arg */
		
	if(status == 0)
		return SUCCESS;
	else
		return FAILURE;
#endif

}

INT OsSpecificPriorityThreadCreate(void (*TaskEntryPtFxn), void *ArgsForTaskEntryPtFxn, THANDLE ThreadHandle)
{
#ifndef __KERNEL__
	INT status;
	int prio;
	int which = PRIO_PROCESS;
	id_t pid;
	int priority, ret;

	priority = (rand() % 40)-20;

	pid = getpid();
	ret = setpriority(which, pid, priority);
	prio = getpriority(which, pid);
	printf("set priority: %i\n", prio);

	/* create the thread */
	status = pthread_create(ThreadHandle, NULL,   /* default security, stack size */
		TaskEntryPtFxn, /* function */
		ArgsForTaskEntryPtFxn); /* arg */

	if(status == 0)
		return SUCCESS;
	else
		return FAILURE;
#endif

}

void OsSpecificThreadResume(HANDLE ThreadToBeResumed)
{

}

void OsSpecificThreadClose(HANDLE ThreadToBeClosed)
{

}


int OsSpecificWaitForThreadExit(THANDLE hThread, LPDWORD lpExitCode)
{
#ifndef __KERNEL__
	int returnstatus;
	returnstatus = pthread_join((pthread_t)hThread, (void **)&lpExitCode);
	return returnstatus;
#endif
}

