/*
 *  Copyright 2004 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *
 *  @(#) DSP/BIOS Bridge 
 */
/*  ============================================================================
 *   File    LowResource.h
 *
 *   Path    $(TESTSUITEROOT)\Stress\LowResource\LowResource.h
 * 
 *   Desc:
 *           Header file for LowResource Test Case
 *
 *  Usage:
 *        LowResource [-v] [-l "log path/filename"] 
 *                      [-x "valid executable"] ..
 *
 *        -v: verbose mode
 *        -l: use log and location
 *        -x: DSP Image to be used
 *        -c: Chunk size to be consumed each iteration(bytes)
 *        -n: Maximum number of Iterations, after which the test is stopped
 *        -s: Buffer Size
 *
 *   ---------------------------------------------------------------------------
 *   Rev     1.0.0
 * 
 *   This computer program is copyright to Texas Instruments Incorporated.
 *   The program may not be used without the written permission
 *   of Texas Instruments Incorporated. or against the terms and conditions
 *   stipulated in the agreement under which this program has been
 *   supplied.
 *
 *   (c) Texas Instruments Incorporated 2003
 *
 *   ============================================================================
 *   Revision History
 *
 *   JUL 24, 2002    REF=ORG             Swamy MC
 *      Original Version.
 *   ============================================================================
 */


/* Struct for Singly linked list */
typedef struct LinkListElem
{
	char *content; /* dynaimc allocation needed */
	struct LinkListElem *next;
}ListElem;

typedef struct IvaLinkListElem
{
	char *content; /* dynaimc allocation needed */
	struct LinkListElem *next;
}IvaListElem;
typedef struct {
        DSP_HPROCESSOR      hProcessorIva;     /* Handle to IVA processor. */
        DSP_HNODE           hNodeIva;          /* Handle to IVA node. */
        INT                 numMsg;
}IVAMSG_TASK;

/* {F95CA076_EE7D_11D5_A8DD_00B0D055F6D1 } */
static const struct DSP_UUID lowresuuid = {	
	0xF95CA076, 0xEE7D, 0x11d5, 0xa8, 0xdd, {
		0x0, 0xb0, 0xd0, 0x55, 0xf6, 0xd1}
};

static const struct DSP_UUID Iva_Msguuid = {
        0x6562df2a, 0x7068, 0x42ef, 0x84, 0x59, {
        0x75, 0x58, 0x4c, 0x1c, 0xdb, 0x8f
    }
};

