/*
 *  Copyright 2004 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *
 *  @(#) DSP/BIOS Bridge 
 */
/*  ============================================================================
 *   File    MultiProcessData.h
 *
 *   Path    $(TESTSUITEROOT)\Stress\MultiProcess\MultiProcessData.h
 * 
 *   Desc:
 *           Header file for Multi Process Data Transfer Test Case
 *
 *   ---------------------------------------------------------------------------
 *   Rev     1.0.0
 * 
 *   This computer program is copyright to Texas Instruments Incorporated.
 *   The program may not be used without the written permission
 *   of Texas Instruments Incorporated. or against the terms and conditions
 *   stipulated in the agreement under which this program has been
 *   supplied.
 *
 *   (c) Texas Instruments Incorporated 2003
 *
 *   ============================================================================
 *   Revision History
 *
 *   AUG 14, 2002    REF=ORG             Swamy MC
 *      Original Version.
 *   ============================================================================
 */


/* Foll struct may not be needed !!! */
typedef struct
{

	/* Processor related information */
	DSP_HPROCESSOR			hProcessor;

	/* Test case specific information */
	INT						iNumTransfers;
	INT						iBuffSize;
	INT						procNum;
	INT						transferMode;
	INT						killTask;


	/* Logging related information */
	FILE					*pHandle;
	BOOL					bUseLog;
	BOOL					bVerbose;

} MultiProcessArgs;
