/*
 *  Copyright 2004 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *
 *  @(#) DSP/BIOS Bridge 
 */
/*  ============================================================================
 *   File    tstlog.h
 *
 *   Path    $(TESTSUITEROOT)\Testutil\tstlog\tstlog.h
 * 
 *   Desc:
 *        Test LOG utility for recording information to input log file.
 *
 *   ---------------------------------------------------------------------------
 *   Rev     1.0.0
 * 
 *   This computer program is copyright to Texas Instruments Incorporated.
 *   The program may not be used without the written permission
 *   of Texas Instruments Incorporated. or against the terms and conditions
 *   stipulated in the agreement under which this program has been
 *   supplied.
 *
 *   (c) Texas Instruments Incorporated 2003
 *
 *   ============================================================================
 *   Revision History
 *
 *   JUL xx, 2002    REF=ORG             Swamy MC
 *      Original Version.(Taken from WinCE Test Suite)
 *   ============================================================================
 */


#include <stdio.h>
#include <std.h>
#include <testosal.h>

/*
 *  ======= TSTLOG_openLog ========
 *  Open logfile as name provided by string parameter
 *
 */
FILE* TSTLOG_openLog(CHAR *logname);

/*
 *  ======== TSTLOG_appendLog ========
 *  Append data to opened logfile
 *
 */
VOID TSTLOG_appendLog(FILE *pLog, CHAR *szData, ...);

/*
 *  ======== TSTLOG_closeLog ========
 *  Close logfile with handle given as parameter
 *
 */
VOID TSTLOG_closeLog(FILE *pLog);
