#First step is to check that all tests were executed
#We count the number of boundaries found and compare against the expected number

rm -f   boundaries ab errormsg sp* 
egrep 'TESTARGS:'  $PWD/$1 >> boundaries
N_BOUNDARIES=`cat 'boundaries' | wc -l`

#These are the headers for excel sheet
DATE=`date +%D`
echo -e "$DATE \t Analyzed $N_BOUNDARIES, of 69 modules on the script" >> ab
echo -n -e "Test Type\t Module\t DSPExec\t Board States\t Status" >> ab

COUNT_LINE=0

while read line
do
	(( COUNT_LINE += 1 ))
	TESTSUITE_AND_TESTCASENAME=`echo $line | grep 'TESTARGS:'` 
	if [ $? = 0 ];	then
		#If previous module didn't have RESULT keyword we print N/A
		if [ "$FG" = 1 ]; then
			echo -n -e "\tN/A" >> ab
		fi
		#We are inside a module, lets read its descriptors
		FG=1
		#Reduce number of args by removing posix arguments denoted by '-'
		TMP=`echo $TESTSUITE_AND_TESTCASENAME | cut -f3 -d: | sed s/-[a-z]//g`
		set $TMP >> /dev/null	
		TYPE=$1
		MODULE=$2
		if [ $MODULE = "EVENTWAIT" ]; then		
			DSPEXEC1=$4
			DSPEXEC2=$5
			echo -n -e "\n$TYPE\t $MODULE\t $DSPEXEC1\t $DSPEXEC2\t\t\t" >> sp			
		elif [ $MODULE = "PROCST" ]; then
			DSPEXEC=$4
			if [ "$DSPEXEC" = "1" ];then
#				echo -n -e "\tN/A" >> ab
				DSPEXEC="N/A"
			fi
			echo -n -e "\n$TYPE\t $MODULE\t $DSPEXEC\t" >> ab	
		elif [ $MODULE = "PAUSERUN" ]; then
			DSPEXEC3=$4
			ITER=$5
			SZ=$6
			echo -n -e "\n$TYPE\t $MODULE\t $DSPEXEC3\t\t $ITER\t $SZ\t" >> sp1
		elif [ $MODULE = "QDATA" ]; then
			DSPEXEC3=$4
			ITER=$5
			SZ=$6
			Q=$7
			echo -n -e "\n$TYPE\t $MODULE\t $DSPEXEC3\t\t $ITER\t $SZ\t $Q" >> sp2
		elif [ $MODULE = "DOUBLEDSP" ]; then
			DSPEXEC4=$4
			DSPEXEC5=$5
			C=$6
			SZ=$7
			ITER=$8
			echo -n -e "\n$TYPE\t $MODULE\t $DSPEXEC4\t $DSPEXEC5\t $C\t $SZ \t$ITER" >> sp3
		elif [ $MODULE = "MULATTACH" ]; then
			DSPEXEC6=$5
			ITER=$4
			echo -n -e "\n$TYPE\t $MODULE\t $DSPEXEC6\t\t $ITER\t\t\t" >> sp4
		elif [ $MODULE = "MULTHRDATTACH" ]; then
			DSPEXEC6=$5
			ITER=$4
			echo -n -e "\n$TYPE\t $MODULE\t $DSPEXEC6\t\t $ITER\t\t\t" >> sp5
		elif [ $MODULE = "MMUFAULTMSG" ]; then
			DSPEXEC6=$5
			ITER=$4
			echo -n -e "\n$TYPE\t $MODULE\t $DSPEXEC6\t\t $ITER\t\t" >> sp6
		else
			DSPEXEC=$4		
			echo -n -e "\n$TYPE\t $MODULE\t $DSPEXEC\t" >> ab		
		fi
	fi


	#Looking for board states inside the module
	if [ "$FG" = 1 ]; then
		STATES=`echo $line | grep 'board states' | cut -d ":" -f 2 | sed s/\\t//g` 
		if [ $? = 0 ]; then
			set $STATES >> /dev/null
			#Get the states
			echo -n -e "$STATES" >> ab
		fi
	fi

	
	#Looking for MMUFAULT result
	if [ "$MODULE" = "MMUFAULTMSG" ]; then
		MMURESULT=`echo $line | grep 'RunTask'`
		if [ $? = 0 ]; then
			set $MMURESULT >> /dev/null
			#Get the states
			echo -n -e "\t$MMURESULT" >> sp6
			FG=0
		fi
	fi


	#Looking for test result inside the module
	if [ "$FG" = 1 ]; then
		RESULT=`echo $line | grep 'TESTRESULT:'` 
		if [ $? = 0 ];	then
			#Get the status and go out the module
			set $RESULT >> /dev/null
			if [ $MODULE = "EVENTWAIT" ]; then
				echo -n -e "\t$3" >> sp
			elif [ $MODULE = "PAUSERUN" ]; then
				echo -n -e "\t$2" >> sp1
			elif [ $MODULE = "QDATA" ]; then
				echo -n -e "\t$2" >> sp2
			elif [ $MODULE = "DOUBLEDSP" ]; then
				echo -n -e "\t$3" >> sp3
			elif [ $MODULE = "MULATTACH" ]; then
				echo -n -e "$2" >> sp4
			elif [ $MODULE = "MULTHRDATTACH" ]; then
				echo -n -e "$2" >> sp5
			else
				echo -n -e "\t$2" >> ab
			fi	
			FG=0
		fi
	fi

	
	ERRMSG=`echo $line | grep 'FAIL\|fail\|failed\|fault\|Fault|Aborted\|Error'`
	if [ $? = 0 ]; then
		set $ERRMSG >> /dev/null
		echo -n -e "Line: $COUNT_LINE\t $ERRMSG\n" >> errormsg
	fi
	
done <$PWD/$1

	if [ -f errormsg ]; then
		echo -e "\n\nPlease take a look on next possible failures:\n" >> ab
		cat errormsg >> ab
	fi

	if [ -f sp ]; then
		echo -e "\n\nOther modules:\n" >> ab
		echo -n -e "Test Type\t Module\t DSPExec1\t DSPExec2\t VOIDS\t VOIDS\t VOIDS\t Status" >> ab
		cat sp >> ab
		echo -n -e "\n\nTest Type\t Module\t DSPExec\t VOIDS\t -n\t -s\tVOIDS \t Status" >> ab
		cat sp1 >> ab
		echo -n -e "\n\nTest Type\t Module\t DSPExec\t VOIDS\t -n\t -s\t -q\t Status" >> ab
		cat sp2 >> ab
		echo -n -e "\n\nTest Type\t Module\t VOIDS\t VOIDS\t -n\t VOIDS\t VOIDS\t Status" >> ab
		cat sp4 >> ab
		echo -n -e "\n\nTest Type\t Module\t VOIDS\t VOIDS\t -t\t VOIDS\t VOIDS\t Status" >> ab
		cat sp5 >> ab
		echo -n -e "\n\nTest Type\t Module\t DSPExec1\t VOIDS\t -n\t VOIDS\t VOIDS\t Status" >> ab
		cat sp6 >> ab
		echo -n -e "\n\nTest Type\t Module\t DSPExec1\t DSPExec2\t -c\t -b\t -n\t Status" >> ab
		cat sp3 >> ab
	fi

#sed 's/
//g' ab >> abcd
mv ab BEHAVIOUR_TESTREPORT.xls
rm -f  ab boundaries errormsg sp* 

