#First step is to check that all tests were executed
#We count the number of boundaries found and compare against the expected number

rm -f   boundaries ab errormsg
egrep 'TESTARGS:'  $PWD/$1 >> boundaries
N_BOUNDARIES=`cat 'boundaries' | wc -l`

#These are the headers for excel sheet
DATE=`date +%D`
echo -e "$DATE \t Analyzed $N_BOUNDARIES, of 119 modules on the script" >> ab
echo -n -e "Test Type\t Module\t Thrd-Proc\t Iterations\t Size\t -q\t DSPExec\t Status" >> ab

COUNT_LINE=0

while read line
do

	STARTING=`echo $line | grep 'STARTING'`
	if [ $? = 0 ]; then
		set $STARTING >> /dev/null
		if [ "$6" = "DLNS" ]; then
			DLNS=1
		fi
	fi
	
	TESTSUITE_AND_TESTCASENAME=`echo $line | grep 'TESTARGS:'` 
	if [ $? = 0 ];	then
		#If previous module didn't have RESULT keyword we print N/A
		if [ "$FG" = 1 ]; then
			echo -n -e "\tN/A" >> ab
		fi
		#We are inside a module, lets read its descriptors
		FG=1
		#Reduce number of args by removing posix arguments denoted by '-'
		TMP=`echo $TESTSUITE_AND_TESTCASENAME | cut -f3 -d: | sed s/-[a-z]//g`
		set $TMP >> /dev/null	
		TYPE=$1
		MODULE=$2
		if [ $MODULE = "MULTHRDDATA" ];then
			THR=$4
			ITER=$5
			SZ=$6
			DSPEXEC=$7
			echo -n -e "\n$TYPE\t $MODULE\t $THR\t $ITER\t $SZ\t "N/A"\t $DSPEXEC" >> ab	
		elif [ $MODULE = "MULTHRDDATAQ" ];then
			THR=$4
			ITER=$5
			SZ=$6
			Q=$7
			DSPEXEC=$8
			echo -n -e "\n$TYPE\t $MODULE\t $THR\t $ITER\t $SZ\t $Q\t $DSPEXEC" >> ab	
		elif [ $MODULE = "MULTHRDMSG" ];then
			THR=$4
			ITER=$5
			DSPEXEC=$6
			echo -n -e "\n$TYPE\t $MODULE\t $THR\t $ITER\t "N/A"\t "N/A"\t $DSPEXEC" >> ab	
		elif [ $MODULE = "AMULTHRDDATA" ];then
			THR=$4
			ITER=$5
			SZ=$6
			DSPEXEC=$7
			echo -n -e "\n$TYPE\t $MODULE\t $THR\t $ITER\t $SZ\t "N/A"\t $DSPEXEC" >> ab	
		elif [ $MODULE = "MULPROC" ];then
			THR=$4
			ITER=$5
			SZ=$6
			DSPEXEC=$7
			echo -n -e "\n$TYPE\t $MODULE\t $THR\t $ITER\t $SZ\t "N/A"\t $DSPEXEC" >> ab	
		elif [ $MODULE = "LOWRES" ];then
			if [ "$DLNS" = "1" ]; then
				THR=$4
				ITER=$5
				SZ=$6
				echo -n -e "\n$TYPE\t $MODULE\t $THR\t $ITER\t $SZ\t "N/A"\t "N/A" " >> ab	
			else
				THR=$5
				ITER=$6
				SZ=$7
				DSPEXEC=$4
				echo -n -e "\n$TYPE\t $MODULE\t $THR\t $ITER\t $SZ\t "N/A"\t $DSPEXEC" >> ab	
			fi
		elif [ $MODULE = "DELAY" ];then
			if [ "$DLNS" = "1" ]; then
				ITER=$5
				SZ=$6
				echo -n -e "\n$TYPE\t $MODULE\t "N/A"\t $ITER\t $SZ\t "N/A"\t "N/A" " >> ab	
			else
				ITER=$6
				SZ=$7
				DSPEXEC=$4
				echo -n -e "\n$TYPE\t $MODULE\t "N/A"\t $ITER\t $SZ\t "N/A"\t $DSPEXEC" >> ab	
			fi
		else
			TYPE=$1
			MODULE=$3
			ITER=$4
			DSPEXEC=$5
			echo -n -e "\n$TYPE\t $MODULE\t "N/A"\t $ITER\t "N/A"\t "N/A"\t $DSPEXEC" >> ab	
		fi
	fi


	#Looking for test result inside the module
	if [ "$FG" = 1 ]; then
		RESULT=`echo $line | grep 'TESTRESULT:'` 
		if [ $? = 0 ];	then
			set $RESULT >> /dev/null
			#Get the status and go out the module
			echo -n -e "\t$2" >> ab
			FG=0
		fi
	fi

	ERRMSG=`echo $line | grep 'FAIL\|fail\|failed\|fault\|Aborted\|Error'`
	if [ $? = 0 ]; then
		set $ERRMSG >> /dev/null
		echo -n -e "Line: $COUNT_LINE\t $ERRMSG\n" >> errormsg
	fi
	
	
done <$PWD/$1

	if [ -f errormsg ]; then
		echo -e "\n\nPlease take a look on next possible failures:\n" >> ab
		cat errormsg >> ab
	fi


mv ab STRESS_TESTREPORT.xls
rm -f   boundaries ab errormsg
