#!/bin/bash

BRIDGEDIR="$1/dspbridge"
KERNELDIR="$2"

if test ! -d $BRIDGEDIR; then 
	{ echo "Bridge Directory not found."; exit 1; }
fi

if test ! -d $KERNELDIR; then 
	{ echo "Linux Kernel Directory not found."; exit 1; }
fi

cd $BRIDGEDIR

if test ! -d target; then
	mkdir target
fi

if test ! -d target/lib/; then
	mkdir target/lib
fi

cd $BRIDGEDIR/target/lib
cp -x $OMAPDEV/$CSCCVER/arm-none-linux-gnueabi/libc/lib/libpthread* . || { echo "Error at coping libpthread"; exit 1; }

if test -L libpthread.so; then
	unlink libpthread.so;
fi

ln -s libpthread.so.0 libpthread.so

cd $BRIDGEDIR/mpu_driver/src
pushd .
make PREFIX=$BRIDGEDIR KRNLSRC=$KERNELDIR  TGTROOT=$BRIDGEDIR BUILD=rel PROJROOT=$BRIDGEDIR/mpu_driver CMDDEFS='GT_TRACE DEBUG' clean CROSS_COMPILE=arm-none-linux-gnueabi-
make PREFIX=$BRIDGEDIR KRNLSRC=$KERNELDIR  TGTROOT=$BRIDGEDIR BUILD=rel PROJROOT=$BRIDGEDIR/mpu_driver CMDDEFS='GT_TRACE DEBUG' CROSS_COMPILE=arm-none-linux-gnueabi- || { echo "Error at compiling bridge driver"; exit 1; }
make PREFIX=$BRIDGEDIR KRNLSRC=$KERNELDIR  TGTROOT=$BRIDGEDIR BUILD=rel PROJROOT=$BRIDGEDIR/mpu_driver CMDDEFS='GT_TRACE DEBUG' CROSS_COMPILE=arm-none-linux-gnueabi- install || { echo "Error at installing bridge driver"; exit 1; }
popd

cd $BRIDGEDIR/mpu_api/src
pushd .

make PREFIX=$BRIDGEDIR KRNLSRC=$KERNELDIR  TGTROOT=$BRIDGEDIR BUILD=rel CMDDEFS='GT_TRACE DEBUG' clean
make PREFIX=$BRIDGEDIR KRNLSRC=$KERNELDIR  TGTROOT=$BRIDGEDIR BUILD=rel CMDDEFS='GT_TRACE DEBUG' || { echo "Error at compiling bridge driver"; exit 1; }
make PREFIX=$BRIDGEDIR KRNLSRC=$KERNELDIR  TGTROOT=$BRIDGEDIR BUILD=rel CMDDEFS='GT_TRACE DEBUG' install || { echo "Error at installing bridge driver"; exit 1; }

popd
