#!/bin/bash

BRIDGEDIR="$1/dspbridge"
KERNELDIR="$2"
IN_CMDDEFS="$3"
#echo $IN_CMDDEFS


if test ! -d $BRIDGEDIR; then 
	{ echo "Bridge Directory not found."; exit 1; }
fi

if test ! -d $KERNELDIR; then 
	{ echo "Linux Kernel Directory not found."; exit 1; }
fi

cd $BRIDGEDIR

if test ! -d target; then
	mkdir target
fi

if test ! -d target/lib/; then
	mkdir target/lib
fi

cd $BRIDGEDIR/target/lib
cp -x /data/omapts/linux/arm-tc/cs-arm-2007q3/arm-none-linux-gnueabi/libc/lib/libpthread* . || { echo "Error at coping libpthread"; exit 1; }

if test -L libpthread.so; then
	unlink libpthread.so;
fi

ln -s libpthread.so.0 libpthread.so

cd $BRIDGEDIR/mpu_driver/src
pushd .


echo $IN_CMDDEFS
make PROJROOT=/vobs/wtbu/OMAPSW_MPU/dspbridge/mpu_driver/  KRNLSRC=/vobs/wtbu/CSSD_L_GIT_2.6/linux/kernel_org/2.6_kernel/  TGTROOT=/vobs/wtbu/OMAPSW_MPU/dspbridge BUILD=debug  CMDDEFS="$IN_CMDDEFS" TESTSUITEROOT=/vobs/wtbu/OMAPSW_MPU/dspbridge/testmpu/ MAKEROOT=/vobs/wtbu/OMAPSW_MPU/dspbridge/testmpu/make TESTSUITEOSALROOT=/vobs/wtbu/OMAPSW_MPU/dspbridge/testmpu/src/OSAL PREFIX=/vobs/wtbu/OMAPSW_MPU/dspbridge/ clean
make PROJROOT=/vobs/wtbu/OMAPSW_MPU/dspbridge/mpu_driver/  KRNLSRC=/vobs/wtbu/CSSD_L_GIT_2.6/linux/kernel_org/2.6_kernel/  TGTROOT=/vobs/wtbu/OMAPSW_MPU/dspbridge BUILD=debug  CMDDEFS="$IN_CMDDEFS"  TESTSUITEROOT=/vobs/wtbu/OMAPSW_MPU/dspbridge/testmpu/ MAKEROOT=/vobs/wtbu/OMAPSW_MPU/dspbridge/testmpu/make TESTSUITEOSALROOT=/vobs/wtbu/OMAPSW_MPU/dspbridge/testmpu/src/OSAL PREFIX=/vobs/wtbu/OMAPSW_MPU/dspbridge/ 
make PROJROOT=/vobs/wtbu/OMAPSW_MPU/dspbridge/mpu_driver/  KRNLSRC=/vobs/wtbu/CSSD_L_GIT_2.6/linux/kernel_org/2.6_kernel/  TGTROOT=/vobs/wtbu/OMAPSW_MPU/dspbridge BUILD=debug  CMDDEFS="$IN_CMDDEFS"  TESTSUITEROOT=/vobs/wtbu/OMAPSW_MPU/dspbridge/testmpu/ MAKEROOT=/vobs/wtbu/OMAPSW_MPU/dspbridge/testmpu/make TESTSUITEOSALROOT=/vobs/wtbu/OMAPSW_MPU/dspbridge/testmpu/src/OSAL PREFIX=/vobs/wtbu/OMAPSW_MPU/dspbridge/ install

popd

cd $BRIDGEDIR/mpu_api/src
pushd .


make PROJROOT=/vobs/wtbu/OMAPSW_MPU/dspbridge/mpu_api/  KRNLSRC=/vobs/wtbu/CSSD_L_GIT_2.6/linux/kernel_org/2.6_kernel/  TGTROOT=/vobs/wtbu/OMAPSW_MPU/dspbridge BUILD=debug  CMDDEFS="$IN_CMDDEFS"  TESTSUITEROOT=/vobs/wtbu/OMAPSW_MPU/dspbridge/testmpu/ MAKEROOT=/vobs/wtbu/OMAPSW_MPU/dspbridge/testmpu/make TESTSUITEOSALROOT=/vobs/wtbu/OMAPSW_MPU/dspbridge/testmpu/src/OSAL PREFIX=/vobs/wtbu/OMAPSW_MPU/dspbridge/ clean
make PROJROOT=/vobs/wtbu/OMAPSW_MPU/dspbridge/mpu_api/  KRNLSRC=/vobs/wtbu/CSSD_L_GIT_2.6/linux/kernel_org/2.6_kernel/  TGTROOT=/vobs/wtbu/OMAPSW_MPU/dspbridge BUILD=debug  CMDDEFS="$IN_CMDDEFS"  TESTSUITEROOT=/vobs/wtbu/OMAPSW_MPU/dspbridge/testmpu/ MAKEROOT=/vobs/wtbu/OMAPSW_MPU/dspbridge/testmpu/make TESTSUITEOSALROOT=/vobs/wtbu/OMAPSW_MPU/dspbridge/testmpu/src/OSAL PREFIX=/vobs/wtbu/OMAPSW_MPU/dspbridge/ 
make PROJROOT=/vobs/wtbu/OMAPSW_MPU/dspbridge/mpu_api/  KRNLSRC=/vobs/wtbu/CSSD_L_GIT_2.6/linux/kernel_org/2.6_kernel/  TGTROOT=/vobs/wtbu/OMAPSW_MPU/dspbridge BUILD=debug  CMDDEFS="$IN_CMDDEFS"  TESTSUITEROOT=/vobs/wtbu/OMAPSW_MPU/dspbridge/testmpu/ MAKEROOT=/vobs/wtbu/OMAPSW_MPU/dspbridge/testmpu/make TESTSUITEOSALROOT=/vobs/wtbu/OMAPSW_MPU/dspbridge/testmpu/src/OSAL PREFIX=/vobs/wtbu/OMAPSW_MPU/dspbridge/ install


popd



