#!/bin/bash

BRIDGEDIR="$1/dspbridge"
KERNELDIR="$2"

if test ! -d $BRIDGEDIR; then 
	{ echo "Bridge Directory not found."; exit 1; }
fi

if test ! -d $KERNELDIR; then 
	{ echo "Linux Kernel Directory not found."; exit 1; }
fi

cd $BRIDGEDIR
pushd .

cp /vobs/wtbu/OMAPSW_MPU/dspbridge/target/lib/lib* /vobs/wtbu/OMAPSW_MPU/dspbridge/samples/mpu/lib/

if test ! -f /vobs/wtbu/OMAPSW_MPU/dspbridge/samples/mpu/lib/lib*; then
	echo "Please check that you already built bridge driver";
	exit 1;
fi

cd samples/mpu/src

make PREFIX=$BRIDGEDIR KRNLSRC=$KERNELDIR  TGTROOT=$BRIDGEDIR BUILD=rel CMDDEFS='DEBUG' clean
make PREFIX=$BRIDGEDIR KRNLSRC=$KERNELDIR  TGTROOT=$BRIDGEDIR BUILD=rel CMDDEFS='DEBUG'
make PREFIX=$BRIDGEDIR KRNLSRC=$KERNELDIR  TGTROOT=$BRIDGEDIR BUILD=rel CMDDEFS='DEBUG' install
popd
